Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Objektwahl mit ssget

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Objektwahl mit ssget (2463 mal gelesen)
cm Zeichner
Mitglied
Vermessungstechnicker


Sehen Sie sich das Profil von cm Zeichner an!   Senden Sie eine Private Message an cm Zeichner  Schreiben Sie einen Gästebucheintrag für cm Zeichner

Beiträge: 15
Registriert: 08.09.2008

Autodesk Map 2004

erstellt am: 14. Mai. 2009 09:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

bitte um Hilfe für folgendes Problem:

Möchte eine Objektauswahl in einer Zeichnung treffen, wobei ich vorher durch Eingabe eines "Musterobjektes" einen Filter setzen möchte.

(setq WAS_TYP (cons 0 WAS_TYP))
Da kommt dann in meinem Beispiel (0 . "TEXT") raus

(setq WAS_LAY (cons 8 WAS_LAY))
Da kommt dann in meinem Beispiel (8 . "SI_DETAILPUNKT_NR") raus

(setq SS (ssget '(WAS_TYP WAS_LAY)))
Da kommt dann beim Mir

Fehler: Fehlerhaftes Punktargument

   

Was ist falsch?

Grüße Bernd

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Steff179
Mitglied
Geomatiker


Sehen Sie sich das Profil von Steff179 an!   Senden Sie eine Private Message an Steff179  Schreiben Sie einen Gästebucheintrag für Steff179

Beiträge: 266
Registriert: 09.08.2007

AutoCAD 2014

erstellt am: 14. Mai. 2009 09:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cm Zeichner 10 Unities + Antwort hilfreich

(ssget '((-4 . "<OR") (0 . "MTEXT") (0 . "TEXT") (-4 . "OR>")))

man beachte (-4 . "<OR") und (-4 . "OR>")

ich hoffe das löst dein problem

gruss

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cm Zeichner
Mitglied
Vermessungstechnicker


Sehen Sie sich das Profil von cm Zeichner an!   Senden Sie eine Private Message an cm Zeichner  Schreiben Sie einen Gästebucheintrag für cm Zeichner

Beiträge: 15
Registriert: 08.09.2008

Autodesk Map 2004

erstellt am: 14. Mai. 2009 09:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Leider nicht, da die Auswahl ja auch ein Block sein kann, und der Layer ist ja auch immer ein anderer.

Ich muß also 2 Variable an ssget übergeben können

Grüße Bernd

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 14. Mai. 2009 09:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cm Zeichner 10 Unities + Antwort hilfreich

Hi,
wenn Du die ssget-Liste mit Variablen füttern willst, darfst Du die Liste nicht Quoten:
(ssget (list WAS_TYP WAS_LAYER))

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

      http://www.voxelman.de

[Diese Nachricht wurde von wronzky am 14. Mai. 2009 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 14. Mai. 2009 09:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cm Zeichner 10 Unities + Antwort hilfreich

Hallo Bernd,
ich schätze mal so:

(setq SS (ssget (list WAS_TYP WAS_LAY)))

Wenn Du ein Apostroph vorwegsetzt wird die Liste nicht ausgewertet.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cm Zeichner
Mitglied
Vermessungstechnicker


Sehen Sie sich das Profil von cm Zeichner an!   Senden Sie eine Private Message an cm Zeichner  Schreiben Sie einen Gästebucheintrag für cm Zeichner

Beiträge: 15
Registriert: 08.09.2008

Autodesk Map 2004

erstellt am: 14. Mai. 2009 10:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das war´s - Danke

Grüße Bernd

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

THE_ONE
Mitglied
Student, Alter:23


Sehen Sie sich das Profil von THE_ONE an!   Senden Sie eine Private Message an THE_ONE  Schreiben Sie einen Gästebucheintrag für THE_ONE

Beiträge: 299
Registriert: 27.04.2005

AMD XP 2000, 512MB-RAM, WIN XP Pro
Readon 9600Pro
VIZ 2005, Autocad 2007,(Mechanical)

erstellt am: 09. Jun. 2009 17:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cm Zeichner 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von Steff179:
(ssget '((-4 . "<OR") (0 . "MTEXT") (0 . "TEXT") (-4 . "OR>")))

man beachte (-4 . "<OR") und (-4 . "OR>")


Was macht das genau! Hab auch mal gelesen das es  (irgendwas . "<AND") und (irgendwas . "AND>") gibt.

Sind das so Art Klammern. Die ORs bedeuten: wähle alles aus was text oder mtext ist. unter was kann ich da in der Hilfe nachschaue?
Lg THE_ONE

[Diese Nachricht wurde von THE_ONE am 09. Jun. 2009 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 09. Jun. 2009 17:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cm Zeichner 10 Unities + Antwort hilfreich

Hallo,
es geht für oder auch ein Komma:
'((-4 . "<OR") (0 . "MTEXT") (0 . "TEXT") (-4 . "OR>"))
oder
(0 . "MTEXT,TEXT")

Das AND würde ich z.B. verwenden wenn ich Texte auf dem Layer A und Mtexte auf dem Layer B filtern möchte:

'((-4 . "<OR")
  (-4 . "<AND")(0 . "TEXT")(8 . "A")(-4 . "AND>")
  (-4 . "<AND")(0 . "MTEXT")(8 . "B")(-4 . "AND>")
  (-4 . "OR>"))

Wo das jetzt genau in der Hilfe steht weiß ich auch nicht, aber vielleicht hilft Dir das Beispiel ja ein wenig.
 

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 09. Jun. 2009 20:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cm Zeichner 10 Unities + Antwort hilfreich

Hilfe gibts bei AutoLisp Reference > Befehl ssget > ganz nach unten scrollen >  Selection Set Filter Lists

------------------
Schöne Grüße
Ernst

www.geopaint.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

THE_ONE
Mitglied
Student, Alter:23


Sehen Sie sich das Profil von THE_ONE an!   Senden Sie eine Private Message an THE_ONE  Schreiben Sie einen Gästebucheintrag für THE_ONE

Beiträge: 299
Registriert: 27.04.2005

AMD XP 2000, 512MB-RAM, WIN XP Pro
Readon 9600Pro
VIZ 2005, Autocad 2007,(Mechanical)

erstellt am: 09. Jun. 2009 23:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cm Zeichner 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Geos:
Hilfe gibts bei AutoLisp Reference > Befehl ssget > ganz nach unten scrollen >  Selection Set Filter Lists



Und dort dann auf "Logical Grouping of Filter Tests" also:

AutoLisp Reference > Befehl ssget > ganz nach unten scrollen >  Selection Set Filter Lists > Logical Grouping of Filter Tests

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz